Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HorizontalSplitPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.HorizontalSplitPanel

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, java.lang.Iterable<Widget>

Deprecated. Use `SplitLayoutPanel` instead, but understand that it is not a drop in replacement for this class. It requires standards mode, and is most easily used under a `RootLayoutPanel` (as opposed to a `RootPanel`

    @Deprecated
    public final class HorizontalSplitPanel

extends Panel

A panel that arranges two widgets in a single horizontal row and allows the user to interactively change the proportion of the width dedicated to each of the two widgets. Widgets contained within a `HorizontalSplitPanel` will be automatically decorated with scrollbars when necessary.

This widget will only work in quirks mode. If your application is in Standards Mode, use `SplitLayoutPanel` instead.

### CSS Style Rules

- .gwt-HorizontalSplitPanel { the panel itself }
- .gwt-HorizontalSplitPanel hsplitter { the splitter }

See Also:
  `SplitLayoutPanel`

Nested Class Summary
`static interface` | `HorizontalSplitPanel.Resources` Deprecated. The default resources used by this widget.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`HasWidgets.ForIsWidget`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`HorizontalSplitPanel()` Deprecated.
`HorizontalSplitPanel(HorizontalSplitPanel.Resources resources)` Deprecated. Creates an empty horizontal split panel.
`HorizontalSplitPanel(HorizontalSplitPanelImages images)` Deprecated. replaced by `HorizontalSplitPanel(Resources)`

Method Summary
`void` | `add(Widget w)` Deprecated. Adds a widget to a pane in the HorizontalSplitPanel.
`protected Element` | `getElement(int index)` Deprecated. Gets the content element for the given index.
`Widget` | `getEndOfLineWidget()` Deprecated. Gets the widget in the pane that is at the end of the line direction for the layout.
`Widget` | `getLeftWidget()` Deprecated. Gets the widget in the left side of the panel.
`Widget` | `getRightWidget()` Deprecated. Gets the widget in the right side of the panel.
`protected Element` | `getSplitElement()` Deprecated. Gets the element that is acting as the splitter.
`Widget` | `getStartOfLineWidget()` Deprecated. Gets the widget in the pane that is at the start of the line direction for the layout.
`protected Widget` | `getWidget(int index)` Deprecated. Gets one of the contained widgets.
`boolean` | `isResizing()` Deprecated. Indicates whether the split panel is being resized.
`java.util.Iterator<Widget>` | `iterator()` Deprecated. Gets an iterator for the contained widgets.
`void` | `onBrowserEvent(Event event)` Deprecated. Fired whenever a browser event is received.
`protected void` | `onEnsureDebugId(java.lang.String baseID)` Deprecated. Affected Elements: -splitter = the container containing the splitter element. -right = the container on the right side of the splitter. -left = the container on the left side of the splitter.
`protected void` | `onLoad()` Deprecated. This method is called immediately after a widget becomes attached to the browser's document.
`protected void` | `onUnload()` Deprecated. This method is called immediately before a widget will be detached from the browser's document.
`boolean` | `remove(Widget widget)` Deprecated. Removes a child widget.
`void` | `setEndOfLineWidget(Widget w)` Deprecated. Sets the widget in the pane that is at the end of the line direction for the layout.
`void` | `setLeftWidget(Widget w)` Deprecated. Sets the widget in the left side of the panel.
`void` | `setRightWidget(Widget w)` Deprecated. Sets the widget in the right side of the panel.
`void` | `setSplitPosition(java.lang.String pos)` Deprecated. Moves the position of the splitter.
`void` | `setStartOfLineWidget(Widget w)` Deprecated. Sets the widget in the pane that is at the start of the line direction for the layout.
`protected void` | `setWidget(int index, Widget w)` Deprecated. Sets one of the contained widgets.

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HorizontalSplitPanel

    public HorizontalSplitPanel()

  Deprecated.

### HorizontalSplitPanel

    @Deprecated
    public HorizontalSplitPanel(HorizontalSplitPanelImages images)

  Deprecated. replaced by `HorizontalSplitPanel(Resources)`

  Creates an empty horizontal split panel.

  Parameters:
    `images` - ImageBundle containing an image for the splitter's drag thumb

### HorizontalSplitPanel

    public HorizontalSplitPanel(HorizontalSplitPanel.Resources resources)

  Deprecated.
  Creates an empty horizontal split panel.

  Parameters:
    `resources` - ClientBundle containing an image for the splitter's drag thumb

Method Detail

### add

    public void add(Widget w)

  Deprecated.
  Adds a widget to a pane in the HorizontalSplitPanel. The method will first attempt to add the widget to the left pane. If a widget is already in that position, it will attempt to add the widget to the right pane. If a widget is already in that position, an exception will be thrown, as a HorizontalSplitPanel can contain at most two widgets. Note that this method is bidi-sensitive. In an RTL environment, this method will first attempt to add the widget to the right pane, and if a widget is already in that position, it will attempt to add the widget to the left pane.

  Specified by:
    `add` in interface `HasWidgets`
  Parameters:
    `w` - the widget to be added
  Throws:
    `java.lang.IllegalStateException`
  See Also:
    `HasWidgets.add(Widget)`

### getEndOfLineWidget

    public Widget getEndOfLineWidget()

  Deprecated.
  Gets the widget in the pane that is at the end of the line direction for the layout. That is, in an RTL layout, gets the widget in the left pane, and in an LTR layout, gets the widget in the right pane.

  Returns:
    the widget, `null` if there is not one.

### getLeftWidget

    public Widget getLeftWidget()

  Deprecated.
  Gets the widget in the left side of the panel.

  Returns:
    the widget, `null` if there is not one.

### getRightWidget

    public Widget getRightWidget()

  Deprecated.
  Gets the widget in the right side of the panel.

  Returns:
    the widget, `null` if there is not one.

### getStartOfLineWidget

    public Widget getStartOfLineWidget()

  Deprecated.
  Gets the widget in the pane that is at the start of the line direction for the layout. That is, in an RTL environment, gets the widget in the right pane, and in an LTR environment, gets the widget in the left pane.

  Returns:
    the widget, `null` if there is not one.

### setEndOfLineWidget

    public void setEndOfLineWidget(Widget w)

  Deprecated.
  Sets the widget in the pane that is at the end of the line direction for the layout. That is, in an RTL layout, sets the widget in the left pane, and in and RTL layout, sets the widget in the right pane.

  Parameters:
    `w` - the widget

### setLeftWidget

    public void setLeftWidget(Widget w)

  Deprecated.
  Sets the widget in the left side of the panel.

  Parameters:
    `w` - the widget

### setRightWidget

    public void setRightWidget(Widget w)

  Deprecated.
  Sets the widget in the right side of the panel.

  Parameters:
    `w` - the widget

### setSplitPosition

    public void setSplitPosition(java.lang.String pos)

  Deprecated.
  Moves the position of the splitter. This method is not bidi-sensitive. The size specified is always the size of the left region, regardless of directionality.

  Parameters:
    `pos` - the new size of the left region in CSS units (e.g. "10px", "1em")

### setStartOfLineWidget

    public void setStartOfLineWidget(Widget w)

  Deprecated.
  Sets the widget in the pane that is at the start of the line direction for the layout. That is, in an RTL layout, sets the widget in the right pane, and in and RTL layout, sets the widget in the left pane.

  Parameters:
    `w` - the widget

### onEnsureDebugId

    protected void onEnsureDebugId(java.lang.String baseID)

  Deprecated.
  Affected Elements:
  - -splitter = the container containing the splitter element.
  - -right = the container on the right side of the splitter.
  - -left = the container on the left side of the splitter.

  Parameters:
    `baseID` - the base ID used by the main element
  See Also:
    `UIObject.onEnsureDebugId(String)`

### onLoad

    protected void onLoad()

  Deprecated.
  Description copied from class: `Widget`
  This method is called immediately after a widget becomes attached to the browser's document.

  Overrides:
    `onLoad` in class `Widget`

### onUnload

    protected void onUnload()

  Deprecated.
  Description copied from class: `Widget`
  This method is called immediately before a widget will be detached from the browser's document.

  Overrides:
    `onUnload` in class `Widget`

### isResizing

    public boolean isResizing()

  Deprecated.
  Indicates whether the split panel is being resized.

  Returns:
    `true` if the user is dragging the splitter, `false` otherwise

### iterator

    public java.util.Iterator<Widget> iterator()

  Deprecated.
  Description copied from interface: `HasWidgets`
  Gets an iterator for the contained widgets. This iterator is required to implement `Iterator.remove()`.

### onBrowserEvent

    public void onBrowserEvent(Event event)

  Deprecated.
  Description copied from interface: `EventListener`
  Fired whenever a browser event is received.

  Specified by:
    `onBrowserEvent` in interface `EventListener`
  Overrides:
    `onBrowserEvent` in class `Widget`
  Parameters:
    `event` - the event received

### remove

    public boolean remove(Widget widget)

  Deprecated.
  Description copied from class: `Panel`
  Removes a child widget.

  How to Override this Method

  There are several important things that must take place in the correct order to properly remove a Widget from a Panel. Not all of these steps will be relevant to every Panel, but all of the steps must be considered.

  1. Validate: Make sure this Panel is actually the parent of the child Widget; return `false` if it is not.
  2. Orphan: Call `Panel.orphan(Widget)` first while the child Widget is still attached.
  3. Physical Detach: Adjust the DOM to account for the removal of the child Widget. The Widget's Element must be physically removed from the DOM.
  4. Logical Detach: Update the Panel's state variables to reflect the removal of the child Widget. Example: the Widget is removed from the Panel's `WidgetCollection`.

  Specified by:
    `remove` in interface `HasWidgets`
  Specified by:
    `remove` in class `Panel`
  Parameters:
    `widget` - the widget to be removed
  Returns:
    `true` if the child was present

### getElement

    protected Element getElement(int index)

  Deprecated.
  Gets the content element for the given index.

  Parameters:
    `index` - the index of the element, only 0 and 1 are valid.
  Returns:
    the element

### getSplitElement

    protected Element getSplitElement()

  Deprecated.
  Gets the element that is acting as the splitter.

  Returns:
    the element

### getWidget

    protected Widget getWidget(int index)

  Deprecated.
  Gets one of the contained widgets.

  Parameters:
    `index` - the index of the widget, only 0 and 1 are valid.
  Returns:
    the widget

### setWidget

    protected final void setWidget(int index,
                                   Widget w)

  Deprecated.
  Sets one of the contained widgets.

  Parameters:
    `index` - the index, only 0 and 1 are valid
    `w` - the widget

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD